<?php

require_once('/usr/fallback/beroConf.php');
require_once('/usr/local/www/berogui/misc/database.php');
require_once('/usr/local/www/berogui/includes/Helper.php');

class apiCall {

	private $_name, $_get, $_post, $_execResult, $_execResultString;

	function __construct ($get = null, $post = null, $files = null) {
		$this->_name = 'beroCloudState';
		$this->_get = $get;
		$this->_post = $post;
		$this->_execResult = true;
		$this->_execResultString = 'success';
	}

	function execute () {

		$bc = new beroConf('root');

		if ($bc->get('root', 'cloud_enable') != 1) {
			$this->_execResultString .= ':disabled';
			return($this->_execResult);
		}

		$ba = new beroAri();

		if (strlen(($baError = $ba->get('error'))) != 0) {
			$this->_execResultString = 'error:' . trim($baError);
			$this->_execResult = false;
			return($this->_execResult);
		}

		$this->_execResultString .= ':connected';

		return($this->_execResult);
	}

	function display () {
		return($this->_name . ':' . $this->_execResultString);
	}
}

?>
